package com.simuwang.base.mapper;

import com.simuwang.base.pojo.dos.NavDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface NavMapper {

    void batchInsert(@Param("itemDoList") List<NavDO> navDOList);

    void batchUpdate(@Param("itemDoList") List<NavDO> navDOList);

    List<String> queryFundNavByDate(@Param("fundId") String fundId, @Param("priceDateList") List<String> priceDateList);

    NavDO queryFundNav(NavDO navDO);

    void saveNav( NavDO navDO);

    void updateNav(NavDO navDO);

    void deleteNav(@Param("fundId")String fundId, @Param("priceDate")String priceDate);

    List<String> getAllFundId();

    List<NavDO> selectNavByFundId(@Param("fundId")String fundId);
}
